Skip to main content
GET
/
api
/
reference
/
hsn
# Search by code
curl -X GET "https://api.finscreener.in/api/reference/hsn?code=8517" \
  -H "Authorization: Bearer YOUR_ACCESS_TOKEN"

# Search by description
curl -X GET "https://api.finscreener.in/api/reference/hsn?search=telephone&limit=10" \
  -H "Authorization: Bearer YOUR_ACCESS_TOKEN"
{
  "data": [
    {
      "code": "8517",
      "description": "Telephone sets, including telephones for cellular networks or for other wireless networks",
      "chapter": 85,
      "section": "XVI"
    },
    {
      "code": "851712",
      "description": "Telephones for cellular networks or for other wireless networks",
      "chapter": 85,
      "section": "XVI"
    }
  ]
}
Search and lookup HSN (Harmonized System of Nomenclature) codes for goods classification.

Headers

Authorization
string
required
Bearer token: Bearer <access_token>

Query Parameters

code
string
Search by HSN code (exact or partial match)
Search by description keyword
limit
number
default:"10"
Maximum results to return (max: 50)
You must provide either code or search parameter.
# Search by code
curl -X GET "https://api.finscreener.in/api/reference/hsn?code=8517" \
  -H "Authorization: Bearer YOUR_ACCESS_TOKEN"

# Search by description
curl -X GET "https://api.finscreener.in/api/reference/hsn?search=telephone&limit=10" \
  -H "Authorization: Bearer YOUR_ACCESS_TOKEN"
{
  "data": [
    {
      "code": "8517",
      "description": "Telephone sets, including telephones for cellular networks or for other wireless networks",
      "chapter": 85,
      "section": "XVI"
    },
    {
      "code": "851712",
      "description": "Telephones for cellular networks or for other wireless networks",
      "chapter": 85,
      "section": "XVI"
    }
  ]
}